cURL
curl --request POST \ --url https://api.readmin.app/staff/history \ --header 'Content-Type: application/json' \ --header 'loader-id: <api-key>' \ --data ' { "actioningUser": "<string>", "userId": "<string>", "reason": "<string>", "type": "promotion", "approval_required": true, "notify": true, "role": "<string>", "expiresInDays": 123 } '
{ "success": true, "history": { "_id": "<string>", "groupId": "<string>", "type": "promotion", "userId": true, "disciplinarianId": "<string>", "reason": "<string>", "created": "<string>", "rankFrom": "<string>", "ended": true, "expires": "<string>", "rankTo": "<string>", "endedBy": "<string>", "evidence": [ "<string>" ], "pendingApproval": true, "approvedBy": "<string>", "notify": true, "distribution": 123 } }
Documentation IndexFetch the complete documentation index at: https://docs.readmin.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.readmin.app/llms.txt
Use this file to discover all available pages before exploring further.
promotion
writeup
suspension
termination
The request was successful, and the server has returned the requested resource in the response body.
A ReAdmin Staff Histoy Item
Show child attributes